Package de.geolykt.starloader.util

# Class XDGAwareRollingPolicy<E>

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.rolling.RollingPolicyBase
ch.qos.logback.core.rolling.TimeBasedRollingPolicy<E>
de.geolykt.starloader.util.XDGAwareRollingPolicy<E>

All Implemented Interfaces:
  `ch.qos.logback.core.rolling.RollingPolicy`, `ch.qos.logback.core.rolling.TriggeringPolicy<E>`, `ch.qos.logback.core.spi.ContextAware`, `ch.qos.logback.core.spi.LifeCycle`

public class XDGAwareRollingPolicy<E> extends ch.qos.logback.core.rolling.TimeBasedRollingPolicy<E>

- ## Field Summary

  ### Fields inherited from class ch.qos.logback.core.rolling.TimeBasedRollingPolicy

  `totalSizeCap`

  ### Fields inherited from class ch.qos.logback.core.rolling.RollingPolicyBase

  `compressionMode, fileNamePatternStr`

  ### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

  `context`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XDGAwareRollingPolicy()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `start()`

  ### Methods inherited from class ch.qos.logback.core.rolling.TimeBasedRollingPolicy

  `getActiveFileName, getMaxHistory, getTimeBasedFileNamingAndTriggeringPolicy, isCleanHistoryOnStart, isTriggeringEvent, isUnboundedTotalSizeCap, rollover, setCleanHistoryOnStart, setMaxHistory, setTimeBasedFileNamingAndTriggeringPolicy, setTotalSizeCap, stop, toString`

  ### Methods inherited from class ch.qos.logback.core.rolling.RollingPolicyBase

  `determineCompressionMode, getCompressionMode, getFileNamePattern, getParentsRawFileProperty, isParentPrudent, isStarted, setFileNamePattern, setParent`

  ### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

  `addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ch.qos.logback.core.spi.LifeCycle

  `isStarted`

- ## Constructor Details

  - ### XDGAwareRollingPolicy

    public XDGAwareRollingPolicy()

- ## Method Details

  - ### start

    public void start()
    Specified by:
      `start` in interface `ch.qos.logback.core.spi.LifeCycle`
    Overrides:
      `start` in class `ch.qos.logback.core.rolling.TimeBasedRollingPolicy<E>`